Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227233 - ImportError: No module named rhpl.translate
Summary: ImportError: No module named rhpl.translate
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: smolt
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 20:37 UTC by Johan Kok
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version: 0.9.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-28 11:12:00 UTC


Attachments (Terms of Use)

Description Johan Kok 2007-02-03 20:37:22 UTC
Description of problem:
When running sendSmoltProfile I see this traceback:
[root@localhost ~]# smoltSendProfile 
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 8, in ?
    import Profile
  File "/usr/share/smolt/client/Profile.py", line 3, in ?
    import hardware
  File "/usr/share/smolt/client/hardware.py", line 19, in ?
    import config
  File "/usr/share/smolt/client/config.py", line 17, in ?
    from rhpl.translate import _
ImportError: No module named rhpl.translate

Version-Release number of selected component (if applicable):
smolt-0.6.2-1.fc6

How reproducible:
Always, smoltPrint gives the same result.

Steps to Reproduce:
1. Run /usr/bin/smoltSendProfile
2. Boom :)
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 8, in ?
    import Profile
  File "/usr/share/smolt/client/Profile.py", line 3, in ?
    import hardware
  File "/usr/share/smolt/client/hardware.py", line 19, in ?
    import config
  File "/usr/share/smolt/client/config.py", line 17, in ?
    from rhpl.translate import _
ImportError: No module named rhpl.translate

Expected results:
No error.

Additional info:

Comment 1 Johan Kok 2007-02-03 20:43:44 UTC
Wait, this one is quite simple. The package rhpl was not installed on this system. The error disappeared 
after a 'yum install rhpl' all problems. Should there be a 'Requires: rhpl' in the spec file?

Comment 2 Mike McGrath 2007-02-03 23:18:37 UTC
Could be I'll take a closer look at whether or not we require rhpl or if I can
just simplify the code so that we don't need it anyway.

Comment 3 Colin Charles 2007-03-04 11:39:11 UTC
Fixed in smolt-0.9.2-1.fc6.noarch.rpm, seems rhpl isn't required any longer

Comment 4 Chester Cheng 2007-04-27 14:32:17 UTC
Hi Colin, is this fixed?

Comment 5 Johan Kok 2007-04-28 11:12:00 UTC
This is fixed. I just removed the rhpl package and started smoltSendProfile. The application worked 
without any errors.


Note You need to log in before you can comment on or make changes to this bug.